18819130201

你好,我安装了新的软件,并且更新了unity的运行库,但是在项目中报出以下错误
Assets\Spine\Runtime\spine-unity\Utility\SkinUtilities.cs(80,26): error CS1061: 'Skin.SkinEntry' does not contain a definition for 'Key' and no accessible extension method 'Key' accepting a first argument of type 'Skin.SkinEntry' could be found (are you missing a using directive or an assembly reference?)
18819130201
  • Postovi: 4

Harald

你忘记先删除之前的spine-unity运行时版本,删除SpineSpine Examples目录。 然后安装spine-unity 4.0。

此处提供了 Spine-unity 3.8 到 4.0 升级指南
Spine-Unity 3.8 to 4.0 Upgrade Guide
不幸的是,它目前仅提供英文版本。 我将很快创建此升级指南的中文(机器翻译)版本。
-----
You forgot to delete the previous spine-unity runtime version first, deleting the Spine and Spine Examples directories. Then install spine-unity 4.0.

There is a spine-unity 3.8 to 4.0 upgrade guide available here
Spine-Unity 3.8 to 4.0 Upgrade Guide
Unfortunately it's currently provided in English only. I will create a Chinese (machine translated) version of this upgrade guide shortly.

---

现在有中文(机器翻译)版的spine-unity 3.8 to 4.0升级指南可以在这里找到:
Spine-Unity 3.8到4.0升级指南
-----
There is now a Chinese (machine translated) version of the spine-unity 3.8 to 4.0 Upgrade Guide available here:
Spine-Unity 3.8到4.0升级指南
Avatar
Harald

Harri
  • Postovi: 3914

18819130201

谢谢,使用了这个办法在彻底删除3.8版本之后可以正常安装使用4.0版本,只是需要程序部门调整比较多代码来配合,我只是一个动画师所以没升级了,总之谢了
18819130201
  • Postovi: 4

Harald

别客气。
You're welcome.
Avatar
Harald

Harri
  • Postovi: 3914


Natrag na 中国Spine用户